| PUT | /RestApi/recycle-bin/dataItems |
|---|
export class DataItemIdentification
{
public Id: string;
public TypeName: string;
public ProviderName: string;
public constructor(init?: Partial<DataItemIdentification>) { (Object as any).assign(this, init); }
}
export class RestoreDataItem
{
public ItemIdentification: DataItemIdentification;
public constructor(init?: Partial<RestoreDataItem>) { (Object as any).assign(this, init); }
}
TypeScript RestoreDataItem DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
PUT /RestApi/recycle-bin/dataItems HTTP/1.1
Host: www.asg.com.au
Accept: text/jsv
Content-Type: text/jsv
Content-Length: length
{
ItemIdentification:
{
TypeName: String,
ProviderName: String
}
}